org.apache.lucene.index

## Class MergeState.DocMap

- java.lang.Object
- - org.apache.lucene.index.MergeState.DocMap

Enclosing class:
  MergeState

    public abstract static class MergeState.DocMap
    extends Object

A map of doc IDs.

### Constructor Summary

Constructors
Constructor and Description
`DocMap()` Sole constructor

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `get(int docID)` Return the mapped docID or -1 if the given doc is not mapped.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocMap

    public DocMap()

Sole constructor

### Method Detail

#### get

    public abstract int get(int docID)

Return the mapped docID or -1 if the given doc is not mapped.